package com.ynet.life.sujrb.file.parser;

import com.ynet.gene.core.Context;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.file.FileConstants;

/* loaded from: com_ynet_life_sujrb_file_parser.jar:com/ynet/life/sujrb/file/parser/BatchPayParserFactory.class */
public class BatchPayParserFactory {
    private BatchPayParserFactory() {
    }

    public static BatchFileParserInterface createParser(String fileType) throws TranFailException {
        if ("csv".equalsIgnoreCase(fileType)) {
            return new BatchPayCSVFileParser();
        }
        if ("xml".equalsIgnoreCase(fileType)) {
            return new BatchPayXMLFileParser();
        }
        if ("xls".equalsIgnoreCase(fileType)) {
            return new BatchPayExcelFileParser();
        }
        if ("txt".equalsIgnoreCase(fileType)) {
            return new BatchPayTXMLFileParser();
        }
        Trace.logWarning("LifeFile", "待解析文件格式错误，必须为.csv或者.plz格式的文件");
        throw FileConstants.EXCEPTION_WRONG_TYPE;
    }

    public static BatchFileParserInterface createParser(String fileType, Context context) throws TranFailException {
        if ("csv".equalsIgnoreCase(fileType)) {
            return new BatchPayCSVFileParser();
        }
        if ("xml".equalsIgnoreCase(fileType)) {
            return new BatchPayExcelFileParser();
        }
        if ("xls".equalsIgnoreCase(fileType)) {
            return new BatchPayExcelFileParser();
        }
        if ("txt".equalsIgnoreCase(fileType)) {
            BatchPayTXMLFileParser bp = new BatchPayTXMLFileParser();
            bp.setContext(context);
            return bp;
        }
        Trace.logWarning("LifeFile", "待解析文件格式错误，必须为.csv或者.plz格式的文件");
        throw FileConstants.EXCEPTION_WRONG_TYPE;
    }

    public static BatchFileParserInterface getFormatterParser() {
        return new MultiTransExcelFileParser();
    }
}
